# Dism++ Terminology
> We highly recommend that you do NOT skip reading this file; otherwise you may not understand the content later on!

The terminology used in Dism++ is roughly the same as Microsoft's Dism. If there are any missing terminologies, it is recommended to refer to the documentation below, as well as referencing the [DISM Overview](https://docs.microsoft.com/en-us/windows-hardware/manufacture/desktop/what-is-dism) article over at Microsoft Docs.

### Image
This refers to a system. For example, if you have installed a system to `C:`, we can refer to this system as `Image C:`.

### Image File
A file-type. This can be used to store an Image. In Dism++, an Image File can be WIM, SWM, ESD, and ISO。

### Online Image
This refers the current operating system. Generally, the system under `C` is the current system, also known as an Online Image. For Dism commands, `Dism /Online ...` can be used to quickly open an Online Image; for Dism++, Online Image will have a symbol of `\*` in its name.

### Offline Image
Exact opposite of Online Image. For example, if the current system is `C:`, then Images in other locations (e.g. F:\\Mount) are referred to as Offline Image.

### Target Image
This refers to the Image currently being processed. For example, if you are applying updates for `Image D:`, then `D:` is your Target Image.

### Host
This refers to the platform that Dism++ is running on, which is the current system. Its path is the same as Online Image. For example, if the current system is Windows 7, and you wish to process a Windows 10 Image, then your Host would be Windows 7, and your Target Image is Windows 10.
> Reminder: You might think that it's strange that the concept of Host and Target exists; this is because some legacy Hosts cannot be used to process a system whose version is newer than itself. For example, when applying patches for Windows 10 on a Windows 7 Host, it can very often fail.

### WinPE
A mini operating system. Usually small in size at around 300MB, used to install a system or to repair system issues.

### WinRE
Identical to WinPE, except WinRE focuses more on system repair. Operating systems after Windows Vista ships with WinRE; thus, we can do anything that WinPE can do and more.

### System Architecture
Each process has its own architecture, so does the operating system. The most common architectures are x86 and amd64. Furthermore, an amd64 system requires a Wow64 sub-system in order to execute x86 process normally. Thus, an x64 system without a Wow64 sub-system cannot be used to process an x86 Image.
> Dism++ supports x86, amd64, IA64, arm, and amr64 architecture as Target Image; however, the Host of Dism++ can only be x86 or amd64.