﻿# 使用 Dism++ 安裝系統
安裝系統是一個簡單而又複雜的活。有的僅僅為了安裝系統，先把 ESD 轉為 ISO。有的因為安裝器不支援 ESD，而轉換為 WIM。還有的在解壓縮 ISO……這根本原因是人們很多時候難以靈活運用現有的工具。君子生非異也，善假於物也。本文將透過一些實例，幫助大家駕馭 Dism++。

## 前言
### 啟動 Dism++ RE 模式
大家可能聽說過 PE，沒見過 RE。其實 RE 可以說跟 PE 是一樣的，也就是說 PE 能做什麼，RE 也能做什麼。另外 Vista 以後的系統都自帶 RE，所以我們平常的工作完全可以使用 RE 來解決，無需使用 PE。

是不是心動了？Dism++ 為了簡化 RE 使用流程，特意引入了 RE 模式。其作用就是重新啟動系統，然後啟動 RE，在啟動 Dism++。

使用方法也很簡單，在選單按下 `恢復功能 - 在 RE 中執行`。首次啟用需要配置一些設定，操作完成後重新啟動電腦就可以了。

> 在 RE 模式中，Dism++ 可以格式化系統槽。如果需要全新安裝系統，又不想使用 PE，可以使用此模式。

### Dism++ 添加引導支援概況
#### 傳統 BIOS 以及 UEFI 支援概況
Dism++ 完全支援標準的傳統 BIOS 以及 UEFI 引導。但是要看清楚，是支援標準的引導，一些非標準的是不支援的。典型的 UEFI 啟動的系統使用 MBR 磁碟是不支援的。

這是因為 Dism++ 有自動檢測邏輯，發現系統槽是 MBR 格式，那麼添加引導時自動按照傳統 BIOS 啟動方式進行處理。反之，發現 GPT 分區則安裝 UEFI 方式處理。

因此那些系統槽是 MBR 卻要用 UEFI 啟動，或者系統槽是 GPT 卻要上傳統 BIOS 啟動。這些情況，Dism++ 的處理結果是不能讓人滿意的，這些用戶建議手動配置引導。
#### 多硬碟引導支援概況
Dism++ 完美支援多硬碟引導。可以為多個硬碟設定獨立引導，也可以使用共享引導。但是多硬碟引導設定往往需要人工干預，因為程序並不知道你需要獨立引導，還是共享引導。

Dism++ 預設使用獨立引導模式，需要調整為共享引導的用戶，在添加引導時，請點擊`更多`，然後手動調整。

#### 隱藏啟動分區支援概況
Dism++ 完美支援隱藏啟動分區，用戶無需手動分配盤符。添加引導信息時，程序能直接操作隱藏的啟動分區，無需分配盤符。特別是 UEFI 用戶，放馬過來吧。

#### VHD/VHDX 啟動支援概況
Dism++ 完美支援配置 VHD 啟動，程序檢測到系統槽是 VHD 時，會自動轉向到 VHD 模式，無需人工干預。不過，值得注意的是 Windows 7 旗艦版才支援 VHD 啟動。另外只有 Windows 8 以上系統才能使用 VHDX，到時搞了半天……

最後有要扯到 傳統 BIOS 以及 UEFI 支援情況。VHD 的分區類型跟啟動盤的分區類型必須一致，不然 Dism++ 沒法正常配置引導。比如 VHD 是 GPT 那麼啟動盤也需要是 GPT，反之亦然。

## 從 ISO 安裝系統
ISO 是最常見的系統載體，為此 Dism++ 提供了直接的 ISO 支援。你可以直接使用 ISO 安裝系統，無需掛載 ISO 或者解壓縮 ISO。
> Dism++ 內建了檔案虛擬化技術，可以將檔案流虛擬為一個檔案。因此 Dism++ 可以直接釋放 ISO 裡的 install.wim。

使用方法也很簡單，在選單中，點擊檔案 - 釋放映像 即可。記得勾選 `添加引導`。`格式化`這個選項可以根據自己的需要使用，如果勾選此選項，會把的選擇的系統槽進行清空。

![ISOInstallOS](./images/ISOInstallOS.png)

上圖中，將 ISO 中的系統安裝到 D 盤，同時對 D 盤進行格式化。

點擊目標映像右側的下拉框，可以切換系統，確認無誤後按下確定即可。

> 如果你需要格式化目前系統槽，則上述操作必須在 RE 或者 PE 等其他系統中進行。


## 從 ESD（包括加密 ESD 以及 UUP ESD）安裝系統
從 Windows 8 以後，微軟會定期從 Windows Update 推送 ESD。而 ESD 中就包含了安裝系統所必需的檔案。我們可以直接使用 ESD 進行系統安裝。哪怕這個 ESD 是加密的或者 UUP 分段 ESD。
> Dism++ 內建了檔案虛擬化技術，加密 ESD 會在記憶體中解密，然後再釋放系統，此過程並不會修改原始 ESD 檔案。

使用方法也很簡單，在選單中，點擊檔案 - 釋放映像 即可。記得勾選 `添加引導`。`格式化`這個選項可以根據自己的需要使用，如果勾選此選項，會把的選擇的系統槽進行清空。
> 釋放UUP ESD時，可以選擇 UUP 資料夾中的 ActionList.xml（推薦），也可以直接選擇頂級 ESD（比如 Professional_zh-cn.esd）。

![ApplyUUPESD](./images/ApplyUUPESD.png)

如上圖，跟 ISO 釋放稍微不同的是，目標映像需要選擇作業系統，如上圖所示目標映像，千萬別傻傻的選擇 Windows Setup。

點擊目標映像右側的下拉框，可以切換系統，確認無誤後按下確定即可。

> 如果你需要格式化目前系統槽，則上述操作必須在 RE 或者 PE 等其他系統中進行。

## 使用 Compact 技術安裝系統
Compact 是 Windows 10 新引入的壓縮啟動技術。一般減少 1/3 的空間佔用，同時幾乎不影響到 IO 效能。

在 Dism++ 中，你可以使用 Compact 技術安裝 Windows 7 以上所有系統。程序將自動配置驅動並解壓縮核心啟動檔案。

> 需要注意的是，要使用 Compact 技術，Host 系統必須是 Windows 7 或者更高。另外在 Windows 7 中預設不會載入 WofAdk 驅動。Win 7 用戶使用前，請先在 選項 - 詳細設定。勾選載入 WofADK 驅動，然後點擊確定。

Comacpt 技術使用也非常簡單，在釋放映像時（支援 WIM、SWM、ESD、UUP ESD 以及 ISO），勾選 Compact，添加引導即可。如下圖所示：

![CompactOS](./images/CompactOS.png)

操作完成後，重新啟動系統即可啟動 Compact 技術安裝的系統了。

## 使用 WIMBoot 技術安裝系統
WIMBoot 技術可以減少更多的空間佔用，同時充分的利用了備份區，而且由於檔案集中存放，往往可以提供更佳的 IO 效能。看似一切很美好，但是有個致命問題，長期使用 WIMBoot 會導致系統槽體積越來越大。最後表現比 Compact 還渣……
> WIMBoot 技術是 Compact 的前身，由於有個體積越來越大問題，所以被拋棄使用。Dism++ 建議優先考慮使用 Compact。

在 Dism++ 中，你可以使用 WIMBoot 技術安裝 Windows 7 以上所有系統。程序將自動配置驅動並解壓縮核心啟動檔案。

> 需要注意的是，要使用 WIMBoot 技術，Host 系統必須是 Windows 7 或者更高。另外在 Windows 7 中預設不會載入 WofAdk 驅動。Win 7 用戶使用前，請先在 選項 - 詳細設定。勾選載入 WofADK 驅動，然後點擊確定。

WIMBoot 技術使用略微比 Compact 麻煩一點，首先你需要準備一個 WIMBoot 壓縮類型的 wim 檔案。
> PS: 雖然 Dism++ 也支援快速壓縮以及最大壓縮的 wim 檔案以 WIMBoot 方式啟動，但是 Dism++ 建議還是轉換到 WIMBoot 壓縮然後繼續，以獲得更加效能。

![ExportWIMBoot](./images/ExportWIMBoot.png)

如上圖所示，我們把 ISO 裡面的 Windows 7 旗艦版，選擇 WIMBoot 壓縮，然後導出到`G:\Win7 WIMBoot.wim`。

轉換完成後，在使用`檔案 - 釋放映像`，並勾選 WIMBoot 即可，如下圖所示：

![ApplyWIMBoot](./images/ApplyWIMBoot.png)

把剛才得到的`G:\Win7 WIMBoot.wim`，使用 WIMBoot 技術，釋放到 D盤，格式化並添加引導。

OK，現在大功告成，操作完成後，重新啟動就能看到 WIMBoot 啟動的系統了。