﻿# 給 ISO 離線整合更新
大家是否厭倦了每次安裝更新後又要補一堆更新的感覺？使用微軟的 Dism 補更新又需要自己收集更新，而且每個月有新更新，還有舊更新被取代。現在 Dism++ 重建了 Windows Update，直接從 WSUS 伺服器中匯出更新資料庫，全自動取得最新更新，自動剔除過期舊更新，在透過 CBS 判斷系統是否需要此更新。下面來看看怎麼使用吧。

## 解壓縮 ISO
為了處理 ISO 裡面的 install.wim。我們先把 ISO 檔解壓縮到硬碟。這一步，你可以使用壓縮軟體，比如 7z 等，右鍵解壓縮即可。假設我們解壓縮到`D:\Temp`。

## 掛載 install.wim
為了讓 Dism++ 能辨識到系統，我們需要掛載 install.wim。`掛載映像`非常簡單，在選單點擊 `檔案 - 掛載映像`。

映像檔案路徑我們設定為`D:\Temp\Sources\install.wim`。
掛載路徑我們設定為`D:\Mount`（必須存在）。
如果你需要調整映像，則執行點擊目標映像，切換需要掛載的系統。（比如我這裡選擇了 Win7 旗艦版）

最後按下確定

## 掃描並安裝更新
點擊`開啟工作階段`，然後點擊`更新管理`，在點擊`掃描`，掃描完成後程式會列出所有可以安裝的更新，選取需要的更新點點擊安裝即可
貼心提醒：Dism++ 會把更新快取在 程式目錄的 "Config\\UpdateCache"資料夾，以後安裝時 Dism++ 將直接使用上次的快取。

![OpenSession](./images/OpenSession.png)

首先開啟工作階段

![ScanUpdates](./images/ScanUpdates.png)

在更新管理中點擊掃描

![InstallUpdates](./images/InstallUpdates.png)

掃描完成後，選擇需要安裝的更新，然後點擊`安裝`即可，然後耐心的等待安裝完成……

> 貼心提醒：<br>1：如果你不喜歡 Win10 自帶的一堆 Appx，你還可以在空間回收中使用過期 Appx 清理，這樣就從系統安裝包內就刪除了 Appx，安裝系統後也沒有自帶 Appx 了。<br>
2：安裝完畢後，請重新掃描。因為更新是以分批推送的，需要反覆掃描安裝多次，才能完成更新安裝。<br>
3：安裝更新後進行過期 WinSxS 組件清理很可能導致失敗。這是因為更新掛起導致，解決辦法只能安裝到虛擬機。

## 儲存 install.wim
操作成功後，你可以點擊檔案選擇`儲存映像`，並選擇覆蓋儲存。完成後點擊`移除映像`。

### 最佳化 wim 檔案體積
由於儲存映像會引入垃圾資料，增大檔案體積。要得到最優體積，請點擊 檔案 - 開啟映像檔案。將處理的映像匯出到`D:\Temp\Sources\install2.wim`。

然後把`D:\Temp\Sources\install2.wim`改名為`install.wim`。

## 儲存 ISO
Dism++ 中的青蛙外掛程式提供了 ISO 產生器，它可以製作雙啟動(Boot) ISO（同時支援傳統 BIOS 與 UEFI 啟動）。

![SaveISO](./images/SaveISO.png)

如圖所示，我們把 D:\Temp，中的內容儲存為`D:\Win7New.iso`。

> 貼心提醒：如果你要同時處理 Win7 家用版、專業版、旗艦版，那麼我建議你想處理家用版，然後其他版本可以透過系統版本升級進行處理。也可以多個版本同時整合更新，Dism++ 支援多個映像同時整合更新。